/* Шрифты */

@font-face {
    font-family: 'Roboto Flex';
    src: url('font/RobotoFlex-Regular.woff2') format('woff2'),
        url('font/RobotoFlex-Regular.woff') format('woff');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Montserrat';
    src: url('font/Montserrat-Regular.woff2') format('woff2'),
        url('font/Montserrat-Regular.woff') format('woff');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}


/* Общие стили */

body {
    background-color: #242424;;
}


/* Mодальное окно */

.vitamed__modal {
    max-width: 411px;
    margin-top: 40px;
    margin: 0 auto;
    margin-top: 100px;
}

.vitamed__modal--delete {
    display: none;
}

.container {
    max-width: 304px;
    background: #FFFFFF;
    border-radius: 25px;
    padding: 38px 54px
}

.form {
    margin: 0 auto;
}

.form__title {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    font-size: 30.0345px;
    line-height: 135.4%;
    text-align: center;
    color: #3F3F3F;
    margin: 0;
    padding: 0;
}

.form__title--delete {
    display: none;
}

.form__list {
    max-width: 304px;
    width: 100%;
    margin: 0 auto;
    padding: 0;
}

.form__list--delete {
    display: none;
}

.form__item {
    display: flex;
    position: relative;
    flex-direction: column;
    margin-top: 30px;
    font-family: 'Roboto Flex';
    font-style: normal;
    font-weight: 300;
    font-size: 17.0188px;
    line-height: 150%;
    color: #6B6B6B;
    position: relative;
}

.form__item::before {
    position: absolute;
    left: 7%;
    top: 55%;
    transform: translateY(-50%);
} 

.name__item {
    margin-top: 15px;
}

.name__item::before {
    content: url('icon/user.svg');
}

.phone__item:before {
    content: url('icon/phone.svg');
}

.form__label {
    flex-shrink: 0;
    text-align: left;
    padding: 0;
    width: 304px;
}


.form__button {
    height: 79px;
    width: 100%;
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 700;
    font-size: 16.975px;
    line-height: 135.4%;
    background-color: #FF1515;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    
}

.form-control {
    max-width: 300px;
    width: 100%;
    padding: 0;
    height: 78px;
    font-size: 18px;
    text-indent: 58px;
    border-radius: 5px;
    border-color: #D6D6D6;
}

.input:focus {
    border-color: #D6D6D6;
}

.input:active {
    border-color: #D6D6D6;
}

.textarea {
    height: 156px;
    display: block;
    resize: none;
    }

.error {
    max-width: 260px;
    display: none;
    font-size: 13px;
    line-height: 15px;
    position: absolute;
    left: 0%;
    bottom: -32%;
    color: #FF1515;
    width: 100%;
    z-index: 1;
    padding: 5px 0;
    border-radius: 0;
}

.form-control_error {
    border-color: #FF1515;
}

.send__form {
    display: none;
    padding: 30px;
    opacity: 0;
    transition: 0.4s ease;
    position: relative;
}

.send__form--active {
    display: block;
    opacity: 1;
    padding: 0;
}
    
.send__text {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    font-size: 30.0345px;
    line-height: 135.4%;
    text-align: center;
    color: #3F3F3F;
}

.close__modal {
    background-color: transparent;
    border: none;
    position: absolute;
    right: -30px;
    bottom: 100%;
    cursor: pointer;
}

.close__modal img {
    width: 50px;
}

@media (max-width: 320px) {
    body {
        width: 320px;
    }
}
